{% extends "layout.html" %}
{% block content %}
  <div class="cryptocurrency">
    <div class="payment-other-div container">
      <a class="hyperlinks links" href="https://donate.torproject.org/">{{ _('Want to donate by credit card or PayPal?') }}</a>
    </div>
    <div class="intro-text-section container">
      {{ this.body }}
    </div>
    <form action="{{ bag('donate', envvars('ENV'), 'donateProccessorBaseUrl') }}/cryptocurrency/donate" method="POST">
      <div class="section">
        <div class="form-column">
          <h4>{{ _('Your Info') }}</h4>
          <div class="form-fields">
            <input class="field" name="firstName" placeholder={{ _('First Name') }} maxLength="256" type="text">
            <input class="field" name="lastName" placeholder={{ _('Last Name') }} maxLength="256" type="text">
            <div class="mailing-list-opt-in checkbox-row">
              <input name="mailingListOptIn" id="mailingListOptIn" type="checkbox">
              <label class="light" for="mailingListOptIn">{{ _('Start sending me email updates about the Tor Project!') }}</label>
            </div>
            <input class="field" name="email" placeholder={{ _('Email') }} maxLength="256" type="text" required>
            <label for="estimatedDonationDate">{{ _('Estimated Donation Date') }}</label>
            <input name="estimatedDonationDate" id="estimatedDonationDate" placeholder={{ _('Estimated Donation Date') }} type="date" required>
            <select class="field required" name="cryptocurrencyType" required>
              <option value="">{{ _('Choose a Currency') }}</option>
              {% for wallet_symbol, wallet in bag('crypto.wallets').items() %}
                <option value={{ wallet_symbol }}>{{ wallet.name }} ({{ wallet_symbol }})</option>
              {% endfor %}
            </select>
            <div class="field-area currencyAmount">
              <input name="currencyAmount" placeholder={{ _('Currency Amount') }} maxLength="256" type="text" required>
            </div>
          </div>
        </div>
        <div class="wallet-column">
          <h4>{{ _('Wallet Addresses') }}</h4>
          <ul>
            {% for wallet_symbol, wallet in bag('crypto.wallets').items() %}
              <li>
                <div class="currency-name">{{ wallet.name }} ({{ wallet_symbol }})</div>
                <input class="wallet-id" type="text" value="{{wallet.address}}" readonly>
                <button type="button" class="copy-button" onclick="copy_button_click(event)" style="display: none;"></button>
              </li>
            {% endfor %}
          </ul>
        </div>
      </div>
      <div class="section button-section">
        <input class="donate button" type="submit" value={{ _('Report Donation') }}>
      </div>
    </form>
    <script>
      if (navigator.clipboard) {
        Array.from(document.getElementsByClassName('copy-button')).forEach(copy_button => {
          copy_button.style.display = 'block';
        });
      }

      async function copy_button_click(ev) {
        let wallet_address = ev.target.parentElement.getElementsByClassName('wallet-id')[0].value;
        await navigator.clipboard.writeText(wallet_address);
      }
    </script>
{% endblock %}
